gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.OverlayLayout

Contents

- Exported types
- Methods
  - new

Description

The layout manager used by `Overlay`.

It places widgets as overlays on top of the main child.

This is not a reusable layout manager, since it expects its widget to be a `GtkOverlay`. It is only listed here so that its layout properties get documented.

Synopsis

- newtype OverlayLayout = OverlayLayout (ManagedPtr OverlayLayout)
- class (GObject o, IsDescendantOf OverlayLayout o) => IsOverlayLayout o
- toOverlayLayout :: (MonadIO m, IsOverlayLayout o) => o -> m OverlayLayout
- overlayLayoutNew :: (HasCallStack, MonadIO m) => m OverlayLayout

# Exported types

newtype OverlayLayout Source #

Memory-managed wrapper type.

Constructors

OverlayLayout (ManagedPtr OverlayLayout) |

#### Instances

Instances details

Eq OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout Methods (==) :: OverlayLayout -> OverlayLayout -> Bool Source # (/=) :: OverlayLayout -> OverlayLayout -> Bool Source #
GObject OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout
ManagedPtrNewtype OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout Methods toManagedPtr :: OverlayLayout -> ManagedPtr OverlayLayout Source #
TypedObject OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout Methods glibType :: IO GType Source #
HasParentTypes OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout
IsGValue (Maybe OverlayLayout) Source # | Convert `OverlayLayout` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.OverlayLayout Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe OverlayLayout -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe OverlayLayout) Source #
type ParentTypes OverlayLayout Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout type ParentTypes OverlayLayout = '[LayoutManager, Object]

class (GObject o, IsDescendantOf OverlayLayout o) => IsOverlayLayout o Source #

Type class for types which can be safely cast to `OverlayLayout`, for instance with `toOverlayLayout`.

#### Instances

Instances details

(GObject o, IsDescendantOf OverlayLayout o) => IsOverlayLayout o Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayout

toOverlayLayout :: (MonadIO m, IsOverlayLayout o) => o -> m OverlayLayout Source #

Cast to `OverlayLayout`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

allocate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, layoutChanged, measure, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getLayoutChild, getProperty, getQdata, getRequestMode, getWidget.

#### Setters

setData, setDataFull, setProperty.

## new

overlayLayoutNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m OverlayLayout | Returns: the newly created instance

Creates a new `GtkOverlayLayout` instance.